要求

网络服务器

自phpmyadmin以来’S接口完全在您的浏览器中,您’ll need a Web服务器(例如Apache,nginx, IIS.)安装phpmyadmin’s files into.

PHP.

  • You need PHP 5.5.0 or newer, with session support, the Standard PHP Library (SPL) extension, JSON support, and the mbstring extension.
  • To support uploading of ZIP files, you need the PHP zip extension.
  • 在PHP中需要GD2支持以显示JPEG的内联缩略图 (“image/jpeg: inline”)原始纵横比。
  • 使用cookie身份验证(默认值)时, openssl. 强烈建议延期。
  • 要支持上传进度条,请参阅 2.9查看上传进度条.
  • 要支持XML和打开文档电子表格导入,您需要 libxml. extension.
  • 要支持登录页面上的reCAPTCHA,您需要 openssl. extension.
  • Performance suggestion: install the ctype extension.

数据库

phpmyadmin支持MySQL兼容的数据库。

  • mysql 5.5或更新
  • Mariadb 5.5或更新
  • 细雨

网页浏览器

要访问phpmyadmin,您需要一个带cookie和javascript的Web浏览器 enabled.